%define upstream_name    Text-WrapAsUtf8
%define upstream_version 0.0.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Temporarily wraps output to stdout as the UTF-8 binmode
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module implements two functions that proved of utility in my Website
Meta Language (the
http://www.shlomifish.org/open-source/projects/website-meta-language/
manpage) sites and which I decided to extract into a common CPAN
distribution. They temporarily wrap output to STDOUT in the UTF-8 encoding
layer.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Sep 23 2020 tv <tv> 0.0.2-1.mga8
+ Revision: 1629478
- update to 0.0.2

* Wed Feb 12 2020 umeabot <umeabot> 0.0.1-3.mga8
+ Revision: 1506771
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.0.1-2.mga7
+ Revision: 1286991
- Mageia 7 Mass Rebuild

* Wed Dec 20 2017 shlomif <shlomif> 0.0.1-1.mga7
+ Revision: 1183582
- imported package perl-Text-WrapAsUtf8

